/******************************************************************
 *  (C) Copyright 1994; dit/upm
 *  Distributed under the conditions stated in the
 *  TOPO General Public License (see file LICENSE)
 ******************************************************************
 *  $Log$
 ******************************************************************/

#ifndef lint
static char rcsid[]= "$Id$";
#endif

/******************************************************************
 *  
 *  David Larrabeiti Lopez
 *
 *  26 Nov 1991
 *
 *  Initialization of the BA (basic) inteface. 
 *  
 *  Brief description
 *
 *  COMPILATION FLAGS:
 *  
 *  LOG:
 *     30/08/93. dlarra. 
 *     ResetBA & InitBA have been collapsed due to the new memory
 *     manager.
 *     
 *     01/02/94. dlarra. 
 *     InitAfterLoadBA has been removed.
 *
 ******************************************************************/

/* LINTLIBRARY */


#include "listrbk.h"
#include "libst.h"
#include "batables.h"
#include "baattr.h"
#include "babool.h"
#include "badefca.h"
#include "batyperw.h"
#include "baexpr.h"
#include "baprint.h"


/*----------------------------------------------------------------*/

/* InitBA
 * Initialization of the BAsic interface.
 */
void InitBA()
{
  CleanLinesMovements();
  InitPrint();
  Reset_Tables();        /* clean all the tables */
  InitM();               /* release cell map */
  InitLotosK();          /* InitCell() and store cells & attrs types tables */
  Init_list();           /* initialize counters for statistics */
  InitStrBck();
  InitBST();
  InitE();
  InitGD();
  InitITC();
  InitOffer();
  InitPred();
  InitRF();
  InitVA();
  InitGS();
  flag_Rules = FALSE;
  flag_Beh   = FALSE;
  InitBool();           /* store metabooleans opns and eqns in the table */
}

/*----------------------------------------------------------------*/



